Loading...
Searching...
No Matches
apr_os_sock_info_t Struct Reference
Apache Portability Runtime library » Portability Routines

`#include <apr_portable.h>`

## Data Fields

apr_os_sock_t * | os_sock
struct sockaddr * | local
struct sockaddr * | remote
int | family
int | type
int | protocol

## Detailed Description

everything APR needs to know about an active socket to construct an APR socket from it; currently, this is platform-independent

## Field Documentation

## family

int apr_os_sock_info_t::family

always required (APR_INET, APR_INET6, etc.)

## local

struct sockaddr* apr_os_sock_info_t::local

NULL if not yet bound

## os_sock

apr_os_sock_t* apr_os_sock_info_t::os_sock

always required

## protocol

int apr_os_sock_info_t::protocol

0 or actual protocol (APR_PROTO_SCTP, APR_PROTO_TCP, etc.)

## remote

struct sockaddr* apr_os_sock_info_t::remote

NULL if not connected

## type

int apr_os_sock_info_t::type

always required (SOCK_STREAM, SOCK_DGRAM, etc.)

The documentation for this struct was generated from the following file:

- apr_portable.h